_jack_shm_info Struct Reference

`#include <shm.h>`

## Public Attributes

jack_shm_registry_index_t | index
uint32_t | size
union {
void * attached_at
char ptr_size [8]
} | ptr

## Detailed Description

a structure holding information about shared memory allocated by JACK. this version is valid only for a given address space. It contains a pointer indicating where the shared memory has been attached to the address space.

Definition at line 170 of file shm.h.

The documentation for this struct was generated from the following file:

- shm.h